# How to resolve transaction request?

Once transaction is done onchain, you need to update transaction hash for that transaction request

Soon, it will be an automated process, as our workers will be able to find and match transactions for transaction requests

### Arrange Data

Arrange transaction request in the format

```json
{
    "id": number,
    "fromChain": number,
    "fromToken": "string",
    "transactionHash": "string",
    "executed": boolean
}
```

### Using API

{% openapi src="/files/UROrVfbSfv6qtqrSAT5m" path="/transaction-request" method="patch" %}
[openapi.yml](https://2219691098-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FxaHazojZlIts4pidXQC6%2Fuploads%2F5jy8PImdbktraNLuOiII%2Fopenapi.yml?alt=media\&token=c6477667-70c8-448b-ae95-decfbd594edb)
{% endopenapi %}

### Using SDK

For [Quickstart](/how-to-integrate/sdk-quickstart.md)

```typescript
const updatedData = {}

const request = await fetcch.request.resolve(updatedData)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fetcch.xyz/how-to-integrate/guides/transaction-requests/how-to-resolve-transaction-request.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
